net.ME1312.SubServers.Client.Bukkit.Event

## Class SubDataRecieveGenericInfoEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - net.ME1312.SubServers.Client.Bukkit.Event.SubDataRecieveGenericInfoEvent

All Implemented Interfaces:
  SubEvent

    public class SubDataRecieveGenericInfoEvent
    extends org.bukkit.event.Event
    implements SubEvent

### Nested Class Summary

### Nested classes/interfaces inherited from class org.bukkit.event.Event

`org.bukkit.event.Event.Result`

### Constructor Summary

Constructors
Constructor and Description
`SubDataRecieveGenericInfoEvent(java.lang.String handle, Version version, org.json.JSONObject content)` SubData Generic Info Event

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.json.JSONObject` `getContent()` Get Content
`java.lang.String` `getHandle()` Get Content Handle
`static org.bukkit.event.HandlerList` `getHandlerList()`
`org.bukkit.event.HandlerList` `getHandlers()`
`Version` `getVersion()` Get Content Version

### Methods inherited from class org.bukkit.event.Event

`getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubDataRecieveGenericInfoEvent

    public SubDataRecieveGenericInfoEvent(java.lang.String handle,
                                          Version version,
                                          org.json.JSONObject content)

SubData Generic Info Event

Parameters:
  `handle` - Content Handle
  `version` - Content Version
  `content` - Content

### Method Detail

#### getHandle

    public java.lang.String getHandle()

Get Content Handle

Returns:
  Content Handle

#### getVersion

    public Version getVersion()

Get Content Version

Returns:
  Content Version

#### getContent

    public org.json.JSONObject getContent()

Get Content

Returns:
  Content

#### getHandlers

    public org.bukkit.event.HandlerList getHandlers()

Specified by:
  `getHandlers` in class `org.bukkit.event.Event`

#### getHandlerList

    public static org.bukkit.event.HandlerList getHandlerList()